Name:			os-net-config
Version:		0.2.3
Release:		4%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

# patches_base=+1
Patch0001: 0001-Use-PEERDNS-when-no-dns_servers-or-use_dhcp-is-provi.patch
Patch0002: 0002-Make-os-net-config-idempotent-with-Linux-bonds-and-M.patch
Patch0003: 0003-Fix-Linux-bond-slave-ifup-ordering.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-sphinx
BuildRequires:	python-oslo-sphinx

Requires:	python-pbr
Requires:	python-setuptools
Requires:	python-argparse
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-oslo-concurrency
Requires:	python-oslo-config
Requires:	python-oslo-utils
Requires:	python-netaddr
Requires:	python-iso8601
Requires:	python-six >= 1.5.0
Requires:	initscripts
Requires:	PyYAML

%description
Host network configuration tool for OpenStack.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python2_sitelib}/os_net_config*


%changelog
* Thu Aug 18 2016 Mike Burns <mburns@redhat.com> 0.2.3-4
- Fix Linux bond/slave ifup ordering rhbz#1341989

* Thu Jul 28 2016 Mike Burns <mburns@redhat.com> 0.2.3-3
- Make os-net-config idempotent with Linux bonds and MAC mapping rhbz#1341989

* Thu Apr 07 2016 Mike Burns <mburns@redhat.com> 0.2.3-2
- Use PEERDNS when no dns_servers or use_dhcp is provided rhbz#1324160

* Wed Apr 06 2016 James Slagle <jslagle@redhat.com> 0.2.3-1
- Update to 0.2.3

* Mon Mar 28 2016 James Slagle <jslagle@redhat.com> 0.2.2-1
- Update to 0.2.2

* Wed Mar 23 2016 James Slagle <jslagle@redhat.com> 0.2.1-1
- Update to 0.2.1

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.2.0-1
- Update to 0.2.0

* Tue Mar 08 2016 James Slagle <jslagle@redhat.com> 0.1.8-1
- Update to 0.1.8

* Thu Feb 25 2016 James Slagle <jslagle@redhat.com> 0.1.7-1
- Update to 0.1.7

* Wed Dec 09 2015 James Slagle <jslagle@redhat.com> 0.1.6-1
- Update to upstream 0.1.6

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.5-3
- Add Requires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.5-1
- Update to upstream 0.1.5

* Fri Feb 13 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-3
- Fix BuildRequires in the srpm

* Fri Feb 06 2015 Ben Nemec <bnemec@redhat.com> - 0.1.1-2
- Cleanups from package review

* Mon Dec 22 2014 Ben Nemec <bnemec@redhat.com> - 0.1.1-1
- Initial Fedora package
